# WOK
TKWOK
WOKBuilder

# WOKBuilder_ArchiveExtract Class Reference

`#include <WOKBuilder_ArchiveExtract.hxx>`

Inheritance diagram for WOKBuilder_ArchiveExtract:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_ArchiveExtract (const WOKUtils_Param &params)
virtual Standard_EXPORT void | Load ()
Standard_EXPORT void | SetArchive (const Handle(WOKBuilder_ArchiveLibrary)&anarchive)
Standard_EXPORT Handle_WOKBuilder_ArchiveLibrary | Archive () const
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKBuilder_ArchiveLibrary | mylib

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ArchiveExtract::WOKBuilder_ArchiveExtract | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_ArchiveLibrary WOKBuilder_ArchiveExtract::Archive | ( |  | ) | const

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_ArchiveExtract::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKBuilder_ArchiveExtract::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

virtual Standard_EXPORT void WOKBuilder_ArchiveExtract::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT void WOKBuilder_ArchiveExtract::SetArchive | ( | const Handle(WOKBuilder_ArchiveLibrary)& | anarchive | ) |

## Field Documentation

Handle_WOKBuilder_ArchiveLibrary WOKBuilder_ArchiveExtract::mylib `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_ArchiveExtract.hxx